Bug 1590041 - cppcheck-1.84 is available
Summary: cppcheck-1.84 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cppcheck
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-12 00:12 UTC by Upstream Release Monitoring
Modified: 2019-01-01 00:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-21 07:41:46 UTC


Attachments (Terms of Use)
new patch for tinyxml (4.27 KB, patch)
2018-08-13 17:37 UTC, Steve Grubb
no flags Details | Diff
new patch for translations (1.79 KB, patch)
2018-08-13 17:38 UTC, Steve Grubb
no flags Details | Diff

Description Upstream Release Monitoring 2018-06-12 00:12:13 UTC
Latest upstream release: 1.84
Current version/release in rawhide: 1.83-3.fc29
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/357/

Comment 1 Steve Grubb 2018-08-13 17:37 UTC
Created attachment 1475629 [details]
new patch for tinyxml

Comment 2 Steve Grubb 2018-08-13 17:38 UTC
Created attachment 1475630 [details]
new patch for translations

Comment 3 Steve Grubb 2018-08-13 17:41:37 UTC
Two patches need to be replaced to let it build. Looks like upstream took our patch for modern QT so patch number 3 needs to be deleted. With those changes it build fine on my local system.

Comment 4 Steve Grubb 2018-09-11 15:09:08 UTC
Ping? Anything holding up a new release? Would you like a co-maintainer?

Comment 5 Fedora Update System 2018-09-11 18:23:34 UTC
cppcheck-1.84-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b52969486f

Comment 6 Fedora Update System 2018-09-11 18:23:41 UTC
cppcheck-1.84-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a3e7cc635

Comment 7 Fedora Update System 2018-09-11 18:23:48 UTC
cppcheck-1.84-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5a6bbd8a1c

Comment 8 Susi Lehtola 2018-09-11 18:24:17 UTC
(In reply to Steve Grubb from comment #4)
> Ping? Anything holding up a new release? Would you like a co-maintainer?

Thanks for the ping. New comaintainers are always welcome; I guess I assumed someone else would take care of this ;)

Comment 9 Fedora Update System 2018-09-13 03:31:55 UTC
cppcheck-1.84-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a3e7cc635

Comment 10 Fedora Update System 2018-09-13 17:48:26 UTC
cppcheck-1.84-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5a6bbd8a1c

Comment 11 Fedora Update System 2018-09-13 17:51:48 UTC
cppcheck-1.84-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b52969486f

Comment 12 Fedora Update System 2018-09-21 07:41:46 UTC
cppcheck-1.84-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-08 17:15:09 UTC
cppcheck-1.85-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-baf11d1afd

Comment 14 Fedora Update System 2018-11-09 07:45:29 UTC
cppcheck-1.85-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-baf11d1afd

Comment 15 Fedora Update System 2018-11-18 03:55:27 UTC
cppcheck-1.85-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-17 04:13:07 UTC
cppcheck-1.86-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9a2d46a7a8

Comment 17 Fedora Update System 2019-01-01 00:39:31 UTC
cppcheck-1.86-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.